# FairCoin.Co faircoind

FairCoin daemon connected to FairCoin.Co services.

The service is made for/controlled by gitlab runner.

## Usage

Go Gitlab **CI/CD** -> **Pipeline** and **Run Pipeline**

Enter variable name **CMD**

#### CMD - commands

~~~
build        # build container ( changes of Dockerfile )
start        # start container ( changes of scripts )
stop         # stop container
uninstall    # remove container without to delete the data
remove       # remove all data
~~~


#### CI/CD Settings

Go Gitlab **Settings** -> **CI/CD** -> **Variables**

~~~
#### FairCoin.Co group variables ######################
FAIRCOIN_CONF        # faircoin.conf file
FAIRCOIN_PORT        # faircoind -port
~~~

## Development <small>( manual usage )</small>

If you want create an instance manual then follow the  instructions.

1. clone this project
2. change configuration in ./env
3. run services by ./control.sh

~~~
chmod +x ./control.sh
./control.sh build
./control.sh start
./control.sh stop
./control.sh uninstall
./control.sh remove
~~~
